package co.hyperverge.hyperkyc_flutter;

public class FLHyperKycConstants {

    private FLHyperKycConstants() {
    }

    public static final String HYPERKYC_CHANNEL_NAME = "hyperKyc";

    public static final int REQUEST_CODE_HYPERKYC_LAUNCH = 1234;
    public static final String LAUNCH = "launch";
    public static final String HYPERKYCCONFIG = "hyperKycConfig";

    //  HyperKycResult
    public static final String STATUS = "status";
    public static final String APPLICATION_STATUS = "applicationStatus";
    public static final String HYPERKYC_DATA = "hyperKYCData";
    public static final String REASON = "reason";

    //  HyperKycData
    public static final String COUNTRY_RESULT = "countryResult";
    public static final String DOC_RESULT_LIST = "docResultList";
    public static final String FACE_RESULT = "faceResult";
    public static final String API_RESULT_LIST = "apiResultList";
    public static final String FORM_RESULT_LIST = "formResultList";
    public static final String WEBVIEW_RESULT_LIST = "webviewResultList";

    //  CountryResult
    public static final String MODULE_ID = "moduleId";
    public static final String COUNTRY_ID = "countryId";
    public static final String COUNTRY_NAME = "countryName";
    public static final String REGION = "region";
    public static final String BASE_URL = "baseUrl";
    public static final String VARIABLES = "variables";

    //  DocResult
    public static final String DOCUMENT_ID = "documentId";
    public static final String DOC_DATA_LIST = "docDataList";

    //  FaceResult
    public static final String FACE_DATA = "faceData";

    //  APIResult
    public static final String API_DATA = "apiData";

    //  DocData
    public static final String SIDE = "side";
    public static final String DOC_IMAGE_PATH = "docImagePath";
    public static final String ACTION = "action";
    public static final String RESPONSE_HEADERS = "responseHeaders";
    public static final String RESPONSE_RESULT = "responseResult";

    //  FaceData
    public static final String CROPPED_FACE_IMAGE_PATH = "croppedFaceImagePath";
    public static final String FULL_FACE_IMAGE_PATH = "fullFaceImagePath";
    public static final String VIDEO_PATH = "videoPath";

    //  APIData
    public static final String RESPONSE_CODE = "responseCode";
    public static final String RESPONSE_BODY_RAW = "responseBodyRaw";

    //  WebviewResult
    public static final String WEBVIEW_DATA = "webviewData";

    //  WebviewData
    public static final String RAW_DATA = "rawData";

    //  Wrapper constants
    public static final String RESULT = "result";
    public static final String EMPTY_STRING = "";
    public static final String EMPTY_JSON_STRING = "{}";
    public static final String DETAILS = "details";
}
