//
//  FLHyperKycConstants.swift
//  hyperkyc_flutter
//
//  Created by Shrirama Upadhya A on 24/01/22.
//

import Foundation

class FLHyperKycConstants {
    public static let HYPERKYC_CHANNEL_NAME = "hyperKyc"
    
    public static let LAUNCH = "launch"
    public static let HYPERKYCCONFIG = "hyperKycConfig"

    //  HyperKycResult
    public static let STATUS = "status"
    public static let APPLICATION_STATUS = "applicationStatus"
    public static let HYPERKYC_DATA = "hyperKYCData"
    public static let REASON = "reason"

    //  HyperKycData
    public static let COUNTRY_RESULT = "countryResult"
    public static let DOC_RESULT_LIST = "docResultList"
    public static let FACE_RESULT = "faceResult"
    public static let API_RESULT_LIST = "apiResultList"
    public static let FORM_RESULT_LIST = "formResultList"
    public static let WEBVIEW_RESULT_LIST = "webviewResultList"

    //  CountryResult
    public static let MODULE_ID = "moduleId"
    public static let COUNTRY_ID = "countryId"
    public static let COUNTRY_NAME = "countryName"
    public static let REGION = "region"
    public static let BASE_URL = "baseUrl"
    public static let VARIABLES = "variables"

    //  DocResult
    public static let DOCUMENT_ID = "documentId"
    public static let DOC_DATA_LIST = "docDataList"

    //  FaceResult
    public static let FACE_DATA = "faceData"

    //  APIResult
    public static let API_DATA = "apiData"

    //  DocData
    public static let SIDE = "side"
    public static let DOC_IMAGE_PATH = "docImagePath"
    public static let ACTION = "action"
    public static let RESPONSE_HEADERS = "responseHeaders"
    public static let RESPONSE_RESULT = "responseResult"

    //  FaceData
    public static let CROPPED_FACE_IMAGE_PATH = "croppedFaceImagePath"
    public static let FULL_FACE_IMAGE_PATH = "fullFaceImagePath"
    public static let VIDEO_PATH = "videoPath"

    //  APIData
    public static let RESPONSE_CODE = "responseCode"
    public static let RESPONSE_BODY_RAW = "responseBodyRaw"
    
    //  WebviewResult
    public static let WEBVIEW_DATA = "webviewData"
    
    //  WebviewData
    public static let RAW_DATA = "rawData"

    //  Wrapper constants
    public static let RESULT = "result"
    public static let EMPTY_STRING = ""
    public static let EMPTY_JSON_STRING = "{}"
    public static let DETAILS = "details"
}
